## Server Properties
server.port= 5000

## Spring DATASOURCE (DataSourceAutoConfiguration & DataSourceProperties)
spring.datasource.url= jdbc:mysql://localhost:3306/polling_app?useSSL=false&serverTimezone=UTC&useLegacyDatetimeCode=false
spring.datasource.username= root
spring.datasource.password= root

## Hibernate Properties

# The SQL dialect makes Hibernate generate better SQL for the chosen database
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5InnoDBDialect
# below line will automatically create/update
# tables in database according to entity class in our application
spring.jpa.hibernate.ddl-auto = update

## Hibernate Logging
logging.level.org.hibernate.SQL= DEBUG

# Initialize the datasource with available DDL and DML scripts
spring.datasource.initialization-mode=always

## Jackson Properties
# The Jackson’s WRITE_DATES_AS_TIMESTAMPS property is used
# to disable serializing Java 8 Data/Time values as timestamps
spring.jackson.serialization.WRITE_DATES_AS_TIMESTAMPS= false
spring.jackson.time-zone= UTC


## App Properties
app.jwtSecret= JWTSuperSecretKey
app.jwtExpirationInMs = 604800000


## link to tutorials
## https://www.callicoder.com/spring-boot-spring-security-jwt-mysql-react-app-part-1/
